L4T 28.1 with cuda10 and libopencv4tegra4 lates version

Hello,
We have several drivers in this version(L4t28.1(Jetpack3.1)),
so how can build cuda10 and libopencv4tegra4 lates version ,on jetson tx1,tx2 (L4t28.1,Jetpack3.1)??
I install cuda9(with jetpack3.3) on L4t28.1 but dont work!!
Any help is appreciated!

The CUDA software is integrated with the rest of the o/s. You’ll need the CUDA release which goes with the L4T version (JetPack can flash an o/s version, and the CUDA provided with that will work…mixing releases tends to not work). Releases listed here:
https://developer.nvidia.com/embedded/jetpack-archive